Subject: Re: [Ietf-languages] Armenian (was: Re: ISO 639-3 changes, part 3)

From: "Doug Ewell" <[email-masked]>
Date: Wed, 14 Mar 2018 12:27:05 -0700

Peter Constable wrote:

>> Yes, I was wrong to say that 639-5 codes are not usable.  However,
>> they are certainly not advisable.
>
> Strong agreement. (I think it were better had collection IDs never
> been permitted.)

I suspect that back in the LTRU days, we weren't comfortable with
deprecating the collection subtags that had already made it in via
639-2, nor with grandfathering those few while ignoring the new ones
added in 639-5.
 
--
Doug Ewell | Thornton, CO, US | ewellic.org

---

From: "Phillips, Addison" <[email-masked]>
Date: Wed, 14 Mar 2018 19:43:49 +0000

Doug replied:
> I suspect that back in the LTRU days, we weren't comfortable with deprecating
> the collection subtags that had already made it in via 639-2, nor with
> grandfathering those few while ignoring the new ones added in 639-5.
> 

Exactly so. There was quite a discussion around it and how to recommend (non-)usage of the subtags.

Point #4 in Section 4.1 (Choice of Language Tag) is about this. 

Addison